PETSc version 3.15.5
Fix/Edit manual page

# PCCompositeGetPC

Gets one of the PC objects in the composite PC.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCCompositeGetPC(PC pc,PetscInt n,PC *subpc)

Not Collective

### Input Parameter

| pc | - the preconditioner context
| n | - the number of the pc requested

### Output Parameters

| subpc | - the PC requested

### Notes

To use a different operator to construct one of the inner preconditioners first call PCCompositeGetPC(), then call PCSetOperators() on that PC.

### See Also

PCCompositeAddPCType(), PCCompositeGetNumberPC(), PCSetOperators()

### Level

Developer

### Location

src/ksp/pc/impls/composite/composite.c

### Examples

src/ksp/ksp/tutorials/ex71.c.html

### Implementations

PCCompositeGetPC_Composite in src/ksp/pc/impls/composite/composite.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages